Package org.eclipse.birt.chart.model.attribute.impl

# Class MarkerImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.MarkerImpl

All Implemented Interfaces:
  `Marker`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class MarkerImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Marker
An implementation of the model object ' Marker'.

The following features are implemented:

- `Type`
- `Size`
- `Visible`
- `Fill`
- `Icon Palette`
- `Outline`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetIconPalette(Palette newIconPalette, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Marker`
`copyInstance()`
A convenient method to get an instance copy.
`static final Marker`
`copyInstanceNoFill(Marker src)`
For accelerating graphic purpose make a fast copy of a Marker without iconPalette, which is obsolete, and the fill, which will be changed in many cases.
`static final Marker`
`create(MarkerType markerType, int size)`
`static final Marker`
`createDefault(MarkerType markerType, int size, boolean visible)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Fill`
`getFill()`
`Palette`
`getIconPalette()`
`LineAttributes`
`getOutline()`
`int`
`getSize()`
`MarkerType`
`getType()`
`boolean`
`isSetSize()`
`boolean`
`isSetType()`
`boolean`
`isSetVisible()`
`boolean`
`isVisible()`
`void`
`setFill(Fill newFill)`
`static final void`
`setFillSimple(Marker marker, Fill fill)`
To set the fill without EMF notifying for accelerating graphic purpose.
`void`
`setIconPalette(Palette newIconPalette)`
`void`
`setOutline(LineAttributes newOutline)`
`void`
`setSize(int newSize)`
`void`
`setType(MarkerType newType)`
`void`
`setVisible(boolean newVisible)`
`String`
`toString()`
`void`
`unsetSize()`
`void`
`unsetType()`
`void`
`unsetVisible()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

public MarkerType getType()

Specified by:
  `getType` in interface `Marker`
Returns:
  the value of the 'Type' attribute.
See Also:
  - `MarkerType`
  - `Marker.isSetType()`
  - `Marker.unsetType()`
  - `Marker.setType(MarkerType)`
  - `AttributePackage.getMarker_Type()`

### setType

public void setType(MarkerType newType)

Specified by:
  `setType` in interface `Marker`
Parameters:
  `newType` - the new value of the 'Type' attribute.
See Also:
  - `MarkerType`
  - `Marker.isSetType()`
  - `Marker.unsetType()`
  - `Marker.getType()`

### unsetType

public void unsetType()

Specified by:
  `unsetType` in interface `Marker`
See Also:
  - `Marker.isSetType()`
  - `Marker.getType()`
  - `Marker.setType(MarkerType)`

### isSetType

public boolean isSetType()

Specified by:
  `isSetType` in interface `Marker`
Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `Marker.unsetType()`
  - `Marker.getType()`
  - `Marker.setType(MarkerType)`

### getSize

public int getSize()

Specified by:
  `getSize` in interface `Marker`
Returns:
  the value of the 'Size' attribute.
See Also:
  - `Marker.isSetSize()`
  - `Marker.unsetSize()`
  - `Marker.setSize(int)`
  - `AttributePackage.getMarker_Size()`

### setSize

public void setSize(int newSize)

Specified by:
  `setSize` in interface `Marker`
Parameters:
  `newSize` - the new value of the 'Size' attribute.
See Also:
  - `Marker.isSetSize()`
  - `Marker.unsetSize()`
  - `Marker.getSize()`

### unsetSize

public void unsetSize()

Specified by:
  `unsetSize` in interface `Marker`
See Also:
  - `Marker.isSetSize()`
  - `Marker.getSize()`
  - `Marker.setSize(int)`

### isSetSize

public boolean isSetSize()

Specified by:
  `isSetSize` in interface `Marker`
Returns:
  whether the value of the 'Size' attribute is set.
See Also:
  - `Marker.unsetSize()`
  - `Marker.getSize()`
  - `Marker.setSize(int)`

### isVisible

public boolean isVisible()

Specified by:
  `isVisible` in interface `Marker`
Returns:
  the value of the 'Visible' attribute.
See Also:
  - `Marker.isSetVisible()`
  - `Marker.unsetVisible()`
  - `Marker.setVisible(boolean)`
  - `AttributePackage.getMarker_Visible()`

### setVisible

public void setVisible(boolean newVisible)

Specified by:
  `setVisible` in interface `Marker`
Parameters:
  `newVisible` - the new value of the 'Visible' attribute.
See Also:
  - `Marker.isSetVisible()`
  - `Marker.unsetVisible()`
  - `Marker.isVisible()`

### unsetVisible

public void unsetVisible()

Specified by:
  `unsetVisible` in interface `Marker`
See Also:
  - `Marker.isSetVisible()`
  - `Marker.isVisible()`
  - `Marker.setVisible(boolean)`

### isSetVisible

public boolean isSetVisible()

Specified by:
  `isSetVisible` in interface `Marker`
Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `Marker.unsetVisible()`
  - `Marker.isVisible()`
  - `Marker.setVisible(boolean)`

### getFill

public Fill getFill()

Specified by:
  `getFill` in interface `Marker`
Returns:
  the value of the 'Fill' containment reference.
See Also:
  - `Marker.setFill(Fill)`
  - `AttributePackage.getMarker_Fill()`

### basicSetFill

public org.eclipse.emf.common.notify.NotificationChain basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFill

public void setFill(Fill newFill)

Specified by:
  `setFill` in interface `Marker`
Parameters:
  `newFill` - the new value of the 'Fill' containment reference.
See Also:
  - `Marker.getFill()`

### getIconPalette

public Palette getIconPalette()

Specified by:
  `getIconPalette` in interface `Marker`
Returns:
  the value of the 'Icon Palette' containment reference.
See Also:
  - `Marker.setIconPalette(Palette)`
  - `AttributePackage.getMarker_IconPalette()`

### basicSetIconPalette

public org.eclipse.emf.common.notify.NotificationChain basicSetIconPalette(Palette newIconPalette, org.eclipse.emf.common.notify.NotificationChain msgs)

### setIconPalette

public void setIconPalette(Palette newIconPalette)

Specified by:
  `setIconPalette` in interface `Marker`
Parameters:
  `newIconPalette` - the new value of the 'Icon Palette' containment reference.
See Also:
  - `Marker.getIconPalette()`

### getOutline

public LineAttributes getOutline()

Specified by:
  `getOutline` in interface `Marker`
Returns:
  the value of the 'Outline' containment reference.
See Also:
  - `Marker.setOutline(LineAttributes)`
  - `AttributePackage.getMarker_Outline()`

### basicSetOutline

public org.eclipse.emf.common.notify.NotificationChain basicSetOutline(LineAttributes newOutline, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOutline

public void setOutline(LineAttributes newOutline)

Specified by:
  `setOutline` in interface `Marker`
Parameters:
  `newOutline` - the new value of the 'Outline' containment reference.
See Also:
  - `Marker.getOutline()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Marker create(MarkerType markerType, int size)

### createDefault

public static final Marker createDefault(MarkerType markerType, int size, boolean visible)

### copyInstanceNoFill

public static final Marker copyInstanceNoFill(Marker src)
For accelerating graphic purpose make a fast copy of a Marker without iconPalette, which is obsolete, and the fill, which will be changed in many cases. Using the setFillSimple to set the fill faster.

Parameters:
  `src` -
Returns:
  marker instance

### setFillSimple

public static final void setFillSimple(Marker marker, Fill fill)
To set the fill without EMF notifying for accelerating graphic purpose.

Parameters:
  `marker` -
  `fill` -

### copyInstance

public Marker copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Marker`